s5: db1070 not using file per table
Closed, ResolvedPublic

Description

While looking for a suitable slave to be db1095's future master I thought about db1070 because:

  • it is a host that will not be decommissioned soon
  • it was the old master
  • it serves API

I noticed it is not using file per table:

ie: dewiki's size is 63G and wikidatawiki size is 8G whereas the ibdata file is 1.1T

db1071 is using it and the sizes are:

dewiki -> 382G
wikidatawiki -> 858G

Both are serving API

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2017, 7:11 AM
Marostegui moved this task from Triage to Backlog on the DBA board.Feb 16 2017, 10:03 AM
Marostegui moved this task from Backlog to In progress on the DBA board.Mar 14 2017, 9:26 AM

db1070 finished importing all the files. It is now replicating and trying to catch up

Seconds_Behind_Master: 247481

Change 343051 had a related patch set uploaded (by Marostegui):
[operations/mediawiki-config] db-eqiad.php: Repool db1070 with low weight

https://gerrit.wikimedia.org/r/343051

Change 343051 merged by jenkins-bot:
[operations/mediawiki-config] db-eqiad.php: Repool db1070 with low weight

https://gerrit.wikimedia.org/r/343051

Mentioned in SAL (#wikimedia-operations) [2017-03-16T14:31:22Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1070 with low weight - T157931 (duration: 00m 45s)

So, db1070 has caught up. I have repooled it with a low weight to see how it behaves. Replication had no issues.
I will leave it like that (increasing its weight) until Monday or so, before recloning the other hosts which also need to be switched to use file per table: T137191

Change 343085 had a related patch set uploaded (by Marostegui):
[operations/mediawiki-config] db-eqiad.php: Increase weight for db1070

https://gerrit.wikimedia.org/r/343085

Change 343085 merged by jenkins-bot:
[operations/mediawiki-config] db-eqiad.php: Increase weight for db1070

https://gerrit.wikimedia.org/r/343085

Mentioned in SAL (#wikimedia-operations) [2017-03-16T16:44:37Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Increase weight for db1070 - T157931 (duration: 00m 41s)

Change 343250 had a related patch set uploaded (by Marostegui):
[operations/mediawiki-config] db-eqiad.php: Increase weight db1070

https://gerrit.wikimedia.org/r/343250

Change 343250 merged by jenkins-bot:
[operations/mediawiki-config] db-eqiad.php: Increase weight db1070

https://gerrit.wikimedia.org/r/343250

Mentioned in SAL (#wikimedia-operations) [2017-03-17T07:24:55Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Increase weight for db1070 - T157931 (duration: 00m 45s)

Marostegui closed this task as Resolved.Mar 17 2017, 8:49 AM

db1070 has been up for 24h now without any issues and receiving production traffic, so considering this resolved.